package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.ProductInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.vo.ProductInfoTreeVo;
import com.nantian.cloud.jljc.vo.ProductInfoVo;
import com.nantian.cloud.jljc.vo.TreeVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 产品信息 服务类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
public interface ProductInfoService extends IService<ProductInfo> {

    List<ProductInfo> getInfoByStr(String productStrr);

    //获取行业-产品信息结构树
    List<ProductInfoTreeVo> getTreeByTrade();

    //根据产品名称获取产品信息
    ProductInfoVo getInfoByName(String name);

    IPage<ProductInfo> getPageScope(Page page, ProductInfo productInfo);

    //获取产品信息涉及的行业
    List<String> getTrade();

    String getCustomCode(String prevProductNum);

    List<TreeVo> getTree();

    List<Map<String,Object>> getProductInfoList();
}
